<!--
  Generated template for the PesananPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>

  <ion-navbar color="2primary">
      <div class="androidHeader">
      <ion-title *ngIf="platformStatus == 'android'">
          <img src="assets/img/tbm.png" style="width: 3rem" >
           <b>Pemesanan</b>
      </ion-title>
      </div>
      <ion-buttons end *ngIf="databaseloginnya.flag != 'skip'">
        <button ion-button icon-only (click)="ionViewDidLoad()" >
            <ion-icon name='refresh'></ion-icon>
        </button>
      </ion-buttons>
      
      <ion-title *ngIf="platformStatus == 'ios'">
          Pemesanan
      </ion-title>
      <div class="logoHeader" *ngIf="platformStatus == 'ios'">
          <img src="assets/img/tbm.png">
      </div>
      
    </ion-navbar>

</ion-header>


<ion-content>
<!-- <div *ngFor="let f of provider.qyt">{{i}}. {{y}}</div>
<div *ngFor="let y of provider.daftarProduct; let i = index">{{f}}</div> -->

<!-- <table>
  <tr>
    <th>Nama produk</th>
    <th>QYT</th>
  </tr>
  <tr>
    <th>
      <div *ngFor="let y of provider.daftarProduct; let i = index">
        <p>{{y}}</p>
      </div>
    </th>
    <th>
      <div *ngFor="let f of provider.qyt">
        <p>{{f}}</p>
        <a href="">Hapus</a>
      </div>
    </th>
  </tr>
</table> -->

<!-- test DB
<button (click)="create('Nyam-nyam', '3')">
  <ion-icon name="add"></ion-icon>
</button>

hasil data 
<ion-list>
  <ion-item *ngFor="let product of productList">
    {{product.product_name}} {{product.product_qyt}}
  </ion-item>
</ion-list> -->

  <!-- <ion-refresher (ionRefresh)="doRefresh($event)">
    <ion-refresher-content 
    pullingText="Tarik kebawah untuk memperbarui data pesanan"
    refreshingText="Check data pesanan dari server"></ion-refresher-content>
  </ion-refresher> -->

 <ion-list  *ngIf="databaseloginnya.flag != 'skip'">
   <button  ion-item *ngFor="let y of pesanan; let i = index" (click)="goToListPesanan(i)">
     <ion-icon name="{{ pesananMenu[i].icon }}" color="{{ pesananMenu[i].color }}" item-start></ion-icon>
     <p>{{ y.f1 }}</p> 
     <ion-note item-end *ngIf="y.f2 != 0">{{ y.f2 }} Pesanan</ion-note>
    </button>
  </ion-list>

<div class="skip" *ngIf="databaseloginnya.flag == 'skip'">
  <img src="assets/img/alert.png">
  <h3>Anda tidak dapat menggunakan menu ini, silahkan hubungi distributor anda untuk registrasi.</h3>

  <a (click)="goToLoginPage()"><p text-center>Kembali ke halaman awal</p></a>
</div>




</ion-content>
